﻿<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        <small>خانه</small>
        انجمن
    </h1>
    <ol ng-include src="'partials/breadcrumb.html'" class="breadcrumb"></ol>
</section>

<section class="text-center col-xs-12" ng-show="question==null">
    <h1 style="font-size: 90px;">404<small><small> not found</small></small></h1>
</section>

<script type="text/ng-template" id="myModalContent.html">
    <div class="modal-header vazir-font text-right">
        <h3 class="modal-title text-danger">نمایش فایل ضمیمه</h3>
    </div>
    <div class="modal-body vazir-font text-center" ng-switch="attachment.GeneralType">
        <div ng-switch-when="Image">
            <img ng-src="{{'../' + attachment.AbsolutePath}}" class="img-responsive">
        </div>
        <div class="row" ng-switch-default>
            <div class="col-xs-12 text-center">
                <span class="fa fa-file fa-5x"></span>
            </div>
            <p class="col-xs-12 text-center">
                <br>
                <h4 class=" persian-rtl">
                    <span> نام فایل :</span>
                    <span class="text-danger english-font"> {{attachment.Filename}} </span><br><br>
                    <span> حجم :</span>
                    <span class="text-danger"> {{attachment.FileSize| pNumber}} کیلوبایت</span><br><br>
                    <span> تاریخ آپلود :</span>
                    <span class="text-danger">
                        {{attachment.UploadDate  | jalaliDate :'jYYYY/jMM/jDD' | pNumber}}
                    </span>
                    <br>
                </h4>
            </p>
        </div>
    </div>
    <div class="modal-footer vazir-font">
        <button class="btn btn-info pull-left" type="button" ng-click="cancel()">بستن</button>
        <button class="btn btn-success pull-right" ng-click="downloadAttachment()">
            دانلود فایل
        </button>
    </div>
</script>

<div class="row" ng-show="question!=null">
    <div class="col-xs-12">
        <div class="col-md-8">
            <div class="box box-solid">
                <div class="box-header with-border vazir-font">
                    <h3 class="box-title">عنوان سوال</h3>
                    <span class="description persian-rtl pull-left text-muted" style="margin-right: 4%"><i class="fa fa-clock-o text-yellow" aria-hidden="true"></i>   {{question.CreationDate | jalaliDate :'jYYYY/jMM/jDD' | pNumber}}</span>
                    <span class="description pull-left text-blue" style="margin-right: 4%">{{question.ViewCount | pNumber}}   <i class="fa fa-eye" aria-hidden="true"></i></span>
                    <span class="description pull-left text-olive" style="margin-right: 4%">{{question.FollowCount | pNumber}}   <i class="fa fa-users" aria-hidden="true"></i></span>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <div class="col-xs-12">
                        <p class="persian-rtl text-right" style="font-size: 25px;">
                            {{question.Title | pNumber}}
                        </p>
                        <a ng-show="question.PersonFollow == 0" ng-click="followQuestion()" class="btn btn-primary pull-left" style="margin: 5px"><b>دنبال کردن</b></a>
                        <a ng-hide="question.PersonFollow == 0" ng-click="unFollowQuestion()" class="btn btn-danger pull-left" style="margin: 5px"><b>حذف از دنبال کننده ها</b></a>

                    </div>
                </div><!-- /.box-body -->
                <div class="box-footer">
                    <span ng-repeat="tag in question.Tags" class="label pull-right fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50" ng-class="getTagColor(tag.ID)" style="margin: 5px">  {{tag.Text | pNumber}}  <i class="fa fa-tag" aria-hidden="true"></i></span>
                    <!--TODO kar dare in ghesmat-->
                    <i class="fa fa-thumbs-up palette-nephritis" ng-show="question.PersonQuestionRate == 1" style="font-size: 20px" aria-hidden="true"></i>
                    <i ng-click="setLikeQuestion(1)" class="fa fa-thumbs-o-up link hvr-pulse" ng-show="question.PersonQuestionRate != 1" style="font-size: 20px;" aria-hidden="true"></i>
                    <span class="badge bg-yellow" style="margin-bottom: 5px;">{{(question.QuestionScore)?question.QuestionScore:0 | pNumber}}</span>
                    <i ng-click="setLikeQuestion(-1)" class="fa fa-thumbs-o-down link hvr-pulse" ng-show="question.PersonQuestionRate != -1" style="font-size: 20px;" aria-hidden="true"></i>
                    <i class="fa fa-thumbs-down  palette-pomegranate" ng-show="question.PersonQuestionRate == -1" style="font-size: 20px" aria-hidden="true"></i>
                </div>
            </div><!-- /.box -->
        </div>
    <div class="col-md-4">
        <!-- Widget: user widget style 1 -->
        <div class="box box-widget widget-user">
            <!-- Add the bg color to the header using any of the bg-* classes -->
            <div class="widget-user-header" ng-class="getBGColor(question.UserID)">
                <a ui-sref="UserProfile({id:question.UserID})" style="cursor: pointer; color: white">
                    <h3 class="widget-user-username">{{question.FullName | pNumber}}</h3><br>

                </a>
                <h5 class="widget-user-desc" ng-show="isOnline">
                    آنلاین <i class="fa fa-circle text-green"></i> </h5>
            </div>
            <div class="widget-user-image" style="cursor: pointer">
                <img class="img-circle" ui-sref="UserProfile({id:question.UserID})" err-src="../images/Avatar.jpg" ng-src="{{question.FullPath}}" alt="User Avatar">
            </div>
            <div class="box-footer">
                <div class="row">
                    <div class="col-xs-4 border-left">
                        <div class="description-block">
                            <h5 class="description-header">{{question.score | pNumber}}</h5>
                            <span class="description-text">امتیاز</span>
                        </div><!-- /.description-block -->
                    </div><!-- /.col -->
                    <div class="col-xs-4 border-left">
                        <div class="description-block">
                            <h5 class="description-header">{{question.QuestionsCount | pNumber}}</h5>
                            <span class="description-text">سوالات پرسیده</span>
                        </div><!-- /.description-block -->
                    </div><!-- /.col -->
                    <div class="col-xs-4">
                        <div class="description-block">
                            <h5 class="description-header">{{question.AnswerCount | pNumber}}</h5>
                            <span class="description-text">جواب ها</span>
                        </div><!-- /.description-block -->
                    </div><!-- /.col -->
                </div><!-- /.row -->
            </div>
        </div><!-- /.widget-user -->
    </div>
        
            <div class="col-xs-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">
                            سوال <i class="fa fa-question text-blue" aria-hidden="true"></i>
                        </h3>
                        <span class="description persian-rtl pull-left text-muted" style="margin-right: 4%"><i class="fa fa-clock-o text-yellow" aria-hidden="true"></i>   {{question.CreationDate | jalaliDate :'jYYYY/jMM/jDD' | pNumber}}</span>
                    </div><!-- /.box-header -->
                    <!-- form start -->
                    <div class="persian-rtl box-body text-right" style="text-align:justify">
                        {{question.QuestionText | pNumber}}
                    </div><!-- /.box-body -->

                    <div style="padding: 5px;" class="persian-rtl">
                        <ul class="nav nav-pills" style="padding-right: 0px;">
                            <li ng-repeat="at in question.Attachments" class="active fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50">
                                <a class="english-font link" ng-click="openAttachments(at)" ng-if="at.GeneralType=='Image'">
                                    {{at.Filename}}
                                    <img
                                            ng-src="{{'../' + at.AbsolutePath}}"
                                            style="width:30px;height: 30px;"
                                            class="img-circle" >
                                </a>
                                <a class="english-font link" ng-click="openAttachments(at)" ng-if="at.GeneralType!='Image'">
                                    <div>
                                        <span style="">{{at.Filename}}</span>
                                        <i style="height: 30px" class="fa fa-file fa-2x"></i>
                                    </div>
                                </a>
                            </li>
                        </ul>
                    </div>

                    <div class="box-footer">
                        <span ng-repeat="tag in question.Tags" class="label pull-right fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50" ng-class="getTagColor(tag.ID)" style="margin: 5px">  {{tag.Text | pNumber}}  <i class="fa fa-tag" aria-hidden="true"></i></span>


                        <i class="fa fa-thumbs-up palette-nephritis" ng-show="question.PersonQuestionRate == 1" style="font-size: 20px;" aria-hidden="true"></i>
                        <i ng-click="setLikeQuestion(1)" class="fa fa-thumbs-o-up link hvr-pulse" ng-show="question.PersonQuestionRate != 1" style="font-size: 20px;" aria-hidden="true"></i>
                        <span class="badge bg-yellow" style="margin-bottom: 5px;">{{(question.QuestionScore)?question.QuestionScore:0 | pNumber}}</span>
                        <i ng-click="setLikeQuestion(-1)" class="fa fa-thumbs-o-down link hvr-pulse" ng-show="question.PersonQuestionRate != -1" style="font-size: 20px;" aria-hidden="true"></i>
                        <i class="fa fa-thumbs-down  palette-pomegranate" ng-show="question.PersonQuestionRate == -1" style="font-size: 20px" aria-hidden="true"></i>
                    </div>
                </div>
            </div>
        <div class="col-xs-12" ng-show="question.RelatedQuestions && question.RelatedQuestions.length !=0">
            <div class="box box-primary">
                <div class="box-header with-border">
                    <h3 class="box-title">
                        افراد زیر سوالاتی مشابه داشته اند <i class="fa fa-link text-blue" aria-hidden="true"></i>
                    </h3>
                </div><!-- /.box-header -->
                <!-- form start -->
                <div class="box-body box-profile">
                    <ul class="nav nav-pills" style="padding-right: 0px;">
                        <li ng-repeat="at in question.RelatedQuestions" class="active fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50">
                            <a class="english-font link" ui-sref="UserProfile({id:at.AuthorID})">
                                {{at.FullName}}
                                <img ng-src="{{at.FullPath}}"
                                     style="width:30px;height: 30px;"
                                     class="img-circle">
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
            
        </div>
            <div class="col-xs-12 fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50" ng-repeat="answer in question.Answers track by $index">
                <div class="box" ng-class="getBoxColor(answer.ID)">
                    <div class="box-body box-profile">
                        <div class="col-sm-3 col-xs-12">
                            <img class="profile-user-img img-responsive img-circle link" alt="User profile picture"
                                 ui-sref="UserProfile({id:answer.AuthorID})" err-src="../images/Avatar.jpg" src="../images/Avatar.jpg"
                                 ng-src="{{answer.FullPath}}">
                            <!--<a href="#/" style="cursor: pointer; color: black">
                                <h3 class="text-center profile-username">نادیا معصومی</h3></a>-->
                            <p class="text-muted text-center">{{answer.Description | pNumber}}</p>
                            <p class="text-muted text-center">{{answer.Email | pNumber}}</p>
                            <ul class="list-group list-group-unbordered hidden-xs" style="margin-bottom: 0px;">
                                <li class="list-group-item">
                                    <a class="">{{answer.score | pNumber}}</a> <b class="pull-right">امتیاز</b>
                                </li>
                                <li class="list-group-item">
                                    <a class="">{{answer.QuestionsCount | pNumber}}</a> <b class="pull-right">سوالات پرسیده</b>
                                </li>
                                <li class="list-group-item">
                                    <a class="">{{answer.AnswerCount | pNumber}}</a> <b class="pull-right">جواب ها</b>
                                </li>
                            </ul>
                            <a ng-show="answer.PersonFollow == 0 && user.UserID != answer.UserID" ng-click="followPerson(answer.UserID)" class="btn btn-primary btn-block"><b>دنبال کردن</b></a>
                            <a ng-hide="answer.PersonFollow == 0 || user.UserID == answer.UserID" ng-click="unFollowPerson(answer.UserID)" class="btn btn-danger btn-block"><b>حذف از دنبال کننده ها</b></a>
                        </div>
                        <div class="col-sm-9 col-xs-12 persian-rtl" style="padding: 0;">
                            <div class="box-header with-border">
                                <h3 class="profile-username box-title">
                                    <i ng-hide="answer.BestAnswer == 0" class="fa fa-check text-green faa-tada animated"></i>  
                                    {{answer.FullName}} <small>{{answer.OrganizationName}}</small> 
                                </h3>
                                <span class="description persian-rtl pull-left text-muted" style="margin-right: 4%"><i class="fa fa-clock-o text-yellow" aria-hidden="true"></i>   {{answer.CreationDate | jalaliDate :'jYYYY/jMM/jDD' | pNumber}}</span>
                            </div>
                            <p style="min-height: 184px;padding: 10px;text-align:justify">{{answer.AnswerText}}</p>
                            <div>
                                <ul class="nav nav-pills" style="padding-right: 0px;">
                                    <li ng-repeat="at in answer.Attachments" class="active fx-zoom-right fx-dur-600 fx-ease-expo fx-stagger-50">
                                        <a class="english-font link" ng-click="openAttachments(at)" ng-if="at.GeneralType=='Image'">
                                            {{at.Filename}}
                                            <img
                                                 ng-src="{{'../' + at.AbsolutePath}}"
                                                 style="width:30px;height: 30px;"
                                                 class="img-circle" >
                                        </a>
                                        <a class="english-font link" ng-click="openAttachments(at)" ng-if="at.GeneralType!='Image'">
                                            <div>
                                                <span style="">{{at.Filename}}</span>
                                                <i style="height: 30px" class="fa fa-file fa-2x"></i>
                                            </div>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div><!-- /.box-body -->
                    <div class="box-footer">
                        <div ng-if="user.AdminPermissionLevel == 'Base' || user.AdminPermission == question.SubjectName">
                            <a ng-show="answer.BestAnswer == 0" ng-click="setBestAnswer(answer.ID)" class="btn btn-primary btn-xs pull-right" style="margin: 5px"><b>ثبت به عنوان بهترین جواب</b> <i class="fa fa-check"></i> </a>
                            <a ng-hide="answer.BestAnswer == 0" ng-click="deleteBestAnswer(answer.ID)" class="btn btn-danger btn-xs pull-right" style="margin: 5px"><b>حذف بهترین جواب</b> <i class="fa fa-times"></i> </a>
                        </div>
                        <span ng-hide="answer.BestAnswer == 0" class="label bg-green pull-right" style="margin: 5px"> <b>بهتربن جواب</b> <i class="fa fa-check"></i></span>
                        <i class="fa fa-thumbs-up palette-nephritis" ng-show="answer.PersonAnswerRate == 1" style="font-size: 20px" aria-hidden="true"></i>
                        <i ng-click="setLikeAnswers(answer,1)" class="fa fa-thumbs-o-up link hvr-pulse" ng-show="answer.PersonAnswerRate != 1" style="font-size: 20px;" aria-hidden="true"></i>
                        <span class="badge bg-yellow" style="margin-bottom: 5px;">{{(answer.AnswerScore)?answer.AnswerScore:0 | pNumber}}</span>
                        <i ng-click="setLikeAnswers(answer,-1)" class="fa fa-thumbs-o-down link hvr-pulse" ng-show="answer.PersonAnswerRate != -1" style="font-size: 20px;" aria-hidden="true"></i>
                        <i class="fa fa-thumbs-down palette-pomegranate" ng-show="answer.PersonAnswerRate == -1" style="font-size: 20px" aria-hidden="true"></i>
                    </div>
                </div>
            </div>

            <div class="col-md-8 col-xs-12 pull-right" id="test">
                <div class="box box-danger">
                    <div class="box-header with-border">
                        <h3 class="box-title">پاسخ خود را وارد کنید</h3>
                    </div>
                    <div class="box-body box-profile">
                        <div class="col-sm-3 col-xs-12 pull-right">
                            <img class="profile-user-img img-responsive img-circle" alt="User profile picture" err-src="../images/Avatar.jpg" src="{{user.Image}}">
                            <a style="cursor: pointer; color: black">
                                <h3 class="text-center profile-username">{{user.FullName | pNumber}}</h3>
                            </a>
                            <p class="text-muted text-center">{{user.Email | pNumber}}</p>
                        </div>
                        <div class="col-sm-9 col-xs-12">
                            <div class="col-xs-12">
                                <div class="form-group">
                                    <textarea dir="rtl" ng-model="answerText" class="form-control" rows="9"
                                              id="comment">
                                    </textarea>
                                </div>
                                <button ng-click="saveAnswer()" class="btn btn-primary pull-right col-sm-4 col-xs-12"><b>ثبت</b></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-md-4 col-xs-12 pull-left">
                <div class="box box-warning">
                    <div class="box-header with-border">
                        <h3 class="box-title vazir-font"> فایل های ضمیمه پاسخ </h3>
                        <i class="fa fa-paperclip fa-2x text-muted faa-ring animated"></i>
                    </div><!-- /.box-header -->
                    <div class="box-body persian-rtl" >
                        <div ng-repeat="f in myFiles">
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <img ngf-thumbnail="f||'../images/Avatar.jpg'" style="width:50px;height: 50px;"
                                         class="img-circle pull-left" >
                                <span style="padding-left: 5px;word-wrap: break-word;line-height: 50px;" class="text-left pull-left" >
                                    {{f.name}}
                                </span>
                                    <button type="button" class="close" ng-click="removeFile(f)" aria-hidden="true">×</button>
                                </div>
                            </div>
                        </div>
                        <div class="form-gro p row" style="margin-top: 5px">
                            <div class="col-xs-12">
                            <span class="btn btn-primary btn-file pull-left ">
            انتخاب فایل (ها)  <input type="file" id="inputFile" ngf-select="" name="file" accept="image/*"
                                     ngf-max-size="50MB" ngf-model-invalid="errorFile" ngf-multiple="true"
                                     ngf-keep="'distinct'" ng-model="myFiles"
                                     ngf-change="filesChanged($files, $file, $newFiles, $duplicateFiles, $invalidFiles, $event)"
                                     class="ng-pristine ng-untouched ng-valid ng-empty" multiple="multiple">
                            </span>
                            </div>
                        </div>
                    </div><!-- /.box-body -->
                </div>
            </div>
        </div>
    </div>
